List Segments
Use this endpoint to retrieve the details of all Segments in your Ledger.
Headers
The type of media of the resource. Recommended value is application/json.
A unique identifier used to trace and track each request.
Bearer JWT token for authentication.
Required when PLUGIN_AUTH_ENABLED=true (enforced in multi-tenant deployments).
Optional in default OSS single-tenant mode.
Format: Bearer <token>
Path Parameters
The unique identifier of the Organization associated with the Ledger.
The unique identifier of the associated Ledger.
Query Parameters
The maximum number of items to include in the response. Max: 100
1 <= x <= 100The beginning of the period you want to retrieve. start_date and end_date are all-or-nothing: supplying only one returns 400. If both are omitted, a default window of the last 1 month is used.
The end of the period you want to retrieve. start_date and end_date are all-or-nothing: supplying only one returns 400. If both are omitted, a default window of the last 1 month is used.
The order used to sort the results.
asc, desc The number of the page that you want to retrieve.
x >= 1Filter by metadata using dot-notation. Replace key with your metadata field name (e.g. metadata.costCenter=BR_11101997).

